﻿// Copyright (c) Dundas Data Visualization Inc. All rights reserved.
//
// THIS SOURCE CODE IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT ANY 
// WARRANTY. IT IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED 
// OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE 
// QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE 
// DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
//
// IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW THE AUTHOR WILL BE LIABLE TO YOU 
// FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES 
// ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT 
// LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY 
// YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER 
// PROGRAMS), EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
// DAMAGES.

using System;

namespace NetViewerIntegrationSample
{
    /// <summary>
    /// This class contains constants used by the viewer integration sample.
    /// </summary>
    internal static class Constants
    {
        /// <summary>
        /// The Dundas BI server URI.
        /// </summary>
        public static readonly Uri DundasBIServerUri = new Uri("http://DundasBI.example.com/");

        /// <summary>
        /// The Dundas BI viewer username.
        /// </summary>
        public const string DundasBIViewerUsername = "viewer";

        /// <summary>
        /// The Dundas BI viewer password.
        /// </summary>
        public const string DundasBIViewerPassword = "1234";

        /// <summary>
        /// The Dundas BI dashboard identifier.
        /// </summary>
        public const string DundasBIDashboardId = "e16138cd-b78f-4c43-9b2d-d0e68f427998";

        /// <summary>
        /// The view options represent are defined in the dundas.viewoptions.js in the instance folder.
        /// Possibilites include: none, viewonlynoplayground, viewonly, menuonly, menutoolbar, 
        /// and menutoolbartaskbar.
        /// </summary>
        public const string ViewOptions = "viewonly";
    }
}